[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: A couple of questions and Re:fix for gcc 3.4 and flex 2.5.4

From: Han-Wen Nienhuys
Subject: Re: A couple of questions and Re:fix for gcc 3.4 and flex 2.5.4
Date: Sun, 6 Feb 2005 22:31:17 +0100

address@hidden writes:
> > I don't know. IMHO, these problems are not specific to lilypond, and
> > should be fixed by the distributor. Also, we have a  packaged script,
> > called
> > 
> >
> > 
> > which seems to fix the same problem. Perhaps we have to rename the
> > script. Can you check whether that script does the trick?
> As the name of this script induces, it fixes compilation for gcc 3.1 but 
> it not working with gcc >= 3.3.
> You're right, that these problems should eventually be fixed by the flex 
> developers, however they have been unable (ignorant) to do so for 
> severel years now, so a working solution distributed with your software 
> would let users of *your* software benefit.

Yeah - that'd be great, except that I have none of the systems
affected, making testing rather difficult. Can you add the appropriate
changes to the

script, so that it works for your system, but also does not break
previous fixes that the script addresses? 

> Maybe an automatic patch via "configure" scripts is too much, you should 
> at least distribute a working fix-script for current releases of 
> software needed to build lilypond (and I won't call gcc 3.1 current 
> nowadays).

Changing the name of the script is easily done.


 Han-Wen Nienhuys   |   address@hidden   | 

reply via email to

[Prev in Thread] Current Thread [Next in Thread]